/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct UpgradeToEnterpriseStatus200Response {
    /// Current percentage of the upgrade
    #[serde(rename = "percentage", skip_serializing_if = "Option::is_none")]
    pub percentage: Option<i32>,
    /// Error happened during the upgrade
    #[serde(rename = "error", skip_serializing_if = "Option::is_none")]
    pub error: Option<String>,
}

impl UpgradeToEnterpriseStatus200Response {
    pub fn new() -> UpgradeToEnterpriseStatus200Response {
        UpgradeToEnterpriseStatus200Response {
            percentage: None,
            error: None,
        }
    }
}
